/* Указываем box sizing */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Убираем внутренние отступы */
ul[class],
ol[class] {
  padding: 0;
}

/* Убираем внешние отступы */
body,
h1,
h2,
h3,
h4,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
}

/* Выставляем основные настройки по-умолчанию для body */
body {
  min-height: 100vh;
  scroll-behavior: smooth;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* Удаляем стандартную стилизацию для всех ul и il, у которых есть атрибут class*/
ul[class],
ol[class] {
  list-style: none;
}

/* Элементы a, у которых нет класса, сбрасываем до дефолтных стилей */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Упрощаем работу с изображениями */
img {
  max-width: 100%;
  display: block;
}

/* Указываем понятную периодичность в потоке данных у article*/
article > * + * {
  margin-top: 1em;
}

/* Наследуем шрифты для инпутов и кнопок */
input,
button,
textarea,
select {
  font: inherit;
}

/* Удаляем все анимации и переходы для людей, которые предпочитай их не использовать */
@media (prefers-reduced-motion: reduce) {
  * {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}


body {
	position: relative;
	font-family: 'Noto Sans', sans-serif;
	font-size: 16px;
	line-height: 1.4;
	color: #fff;
	min-width: 320px;
	overflow-x: hidden;
	height: auto;
    background-color: #232b2b;
}

.video{
	position: relative;
	padding-bottom: 56.25%;
	z-index: 1;
}

.video_media{
	width: 100%;
	height: auto;
	position: absolute;
	top: 0;
	left: 0;
}

.intro{
	max-height: 100vh;
	overflow: hidden;
	position: relative;
}

.intro:after{
	content: "";
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 2;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, .5);
}
.content_title{
	font-size: 45px;
	color: #fff;
	margin: 0;
	text-decoration: none;
}

.container{
	max-width: 1200px;
	margin: 0 auto;
}

.content{
	display: flex;
	flex-direction: column;
	justify-content: center;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 3;
}

.button{
    position: relative;
    color: #000;
    -webkit-text-stroke-color: #fff;
    -webkit-text-fill-color: #000;
    -webkit-text-stroke-width: 0.02em;
    font-weight: bolder;
    display: inline-block;
    text-transform: uppercase;
    text-decoration: none;
    font-size: 33px;
    padding: 15px 30px;
    letter-spacing: 4px;
    overflow: hidden;
    transition: 0.2s;
}

.div_download_button{
    padding-top: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.button__line{
    position: absolute;
    display: block;
}

.button__line--top{
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background:linear-gradient(90deg, transparent, #f1d500);
}

.button:hover .button__line--top{
    left: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

.button__line--bottom{
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background:linear-gradient(270deg, transparent, #f1d500);
}

.button:hover .button__line--bottom{
    right: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

.button__line--left{
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background:linear-gradient(0deg, transparent, #f1d500);
}

.button:hover .button__line--left{
    bottom: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

.button__line--right{
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background:linear-gradient(180deg, transparent, #f1d500);
}

.button:hover .button__line--right{
    top: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

.button:hover{
    box-shadow: 0 0 10px #f1d500, 0 0 40px #f1d500;
    background-color: #f1d500;
    transition-delay: 1s;
}

.content_title a:hover{
	color: #f1d500;
}

